3.3. 使用 RPM 软件包管理器安装的 Knative CLI 锁定版本

您可能需要使用不是最新但处于维护阶段的 Knative (kn) CLI 版本。您可以通过锁定 kn 的版本来达到此目的,这会阻止它被升级。

流程

  1. 为 DNF 软件包管理器安装 versionlock 插件:

    # dnf install 'dnf-command(versionlock)'
  2. 运行以下命令来锁定 kn 版本:

    # dnf versionlock add --raw 'openshift-serverless-clients-1.7.*'

    此命令会将 kn 锁为基于 Knative 1.7 的版本,它在 OpenShift Serverless 1.29 发布时处于维护阶段。